%global require_ibus_version    1.5.3
%global require_input_pad_version 1.0.99

Name:       ibus-input-pad
Version:    1.4.99.20140916
Release:    1%{?dist}
Summary:    Input Pad for IBus
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
# Patch0:     %%{name}-HEAD.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext-devel
BuildRequires:  gtk3-devel
BuildRequires:  libtool
BuildRequires:  ibus-devel
BuildRequires:  input-pad-devel >= %{require_input_pad_version}
BuildRequires:  intltool
Requires:       ibus >= %{require_ibus_version}

%description
The input pad engine for IBus platform.

%prep
%setup -q
# %%patch0 -p1

%build
libtoolize -c -f
autoreconf -v
%configure \
    --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

%find_lang %{name}

%check
desktop-file-validate \
    $RPM_BUILD_ROOT%{_datadir}/applications/ibus-setup-input-pad.desktop

%post
[ -x %{_bindir}/ibus ] && \
  %{_bindir}/ibus write-cache --system &>/dev/null || :

%postun
[ -x %{_bindir}/ibus ] && \
  %{_bindir}/ibus write-cache --system &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_libexecdir}/ibus-engine-input-pad
%{_libexecdir}/ibus-setup-input-pad
%{_datadir}/applications/ibus-setup-input-pad.desktop
%{_datadir}/ibus/component/*

%changelog
* Tue Sep 16 2014 Takao Fujiwara <tfujiwar@redhat.com> - 1.4.99.20140916-1
- Bumped to 1.4.99.20140916

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 27 2013 Takao Fujiwara <tfujiwar@redhat.com> - 1.4.2-1
- Bumped to 1.4.2

* Fri Dec 06 2013 Takao Fujiwara <tfujiwar@redhat.com> - 1.4.1-1
- Bumped to 1.4.1

* Tue Oct 08 2013 Takao Fujiwara <tfujiwar@redhat.com> - 1.4.0-12
- Added ibus write-cache in %%post and %%postun

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 05 2013 Takao Fujiwara <tfujiwar@redhat.com> - 1.4.0-10
- Added autoreconf to use autoconf 2.69 or later. BZ#925569

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 06 2012 Takao Fujiwara <tfujiwar@redhat.com> - 1.4.0-7
- Rebuilt for ibus 1.4.99.20120304

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.4.0-5
- Rebuild for new libpng

* Fri Feb 11 2011 Matthias Clasen <mclasen@redhat.com> - 1.4.0-4
- Rebuild against newer gtk

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Takao Fujiwara <tfujiwar@redhat.com> - 1.4.0-2
- Rebuilt for GTK3.

* Fri Dec 03 2010 Takao Fujiwara <tfujiwar@redhat.com> - 1.4.0-1
- Bumped to 1.4.0

* Mon Jul 26 2010 Takao Fujiwara <tfujiwar@redhat.com> - 0.1.3-1
- Bumped to 0.1.3

* Thu Jul 08 2010 Takao Fujiwara <tfujiwar@redhat.com> - 0.1.2-1
- Bumped to 0.1.2
- Added setup dialog.

* Wed Jun 30 2010 Takao Fujiwara <takao.fujiwara1@gmail.com> - 0.1.0.20100630-1
- Initial Implementation. Bug 604500
